Results 1 to 5 of 5

Thread: Metasploit broken after R2 to R3 upgrade

  1. #1
    Just burned his ISO
    Join Date
    Aug 2012
    Posts
    3

    Default Metasploit broken after R2 to R3 upgrade

    Hi,

    After upgrading Backtrack from R2 to R3 parts of Metasploit are broken.

    When accessing Metasploit from the dragon menu the following error is produced:
    sh: msfconsole: command not found
    sh: msfupdate: command not found
    sh: msfcli: command not found
    Clicking on Armitage does nothing.

    When accessing Metasploit from the command line the following effors are produced:
    msfconsole: command not found
    msfupdate: command not found
    msfcli: command not found
    armitage: command not found

    The only way to launch Metasploit now is to use /opt/metasploit/msf3/./msfconsole. Using ./armitage from this directory launches Armitage, but then this error is produced:

    Couldn’t launch MSF
    Cannot run program “msfrpcd”: java.io.IOException: error=2, No such file or directory

    If a search is performed once in Metasploit, the following error is thrown:
    [-] Warning: database not connected or cache not built, falling back to slow search

    Any help to restore Metasploit back to how it was before the upgrade would be great.

    Thanks.

  2. #2
    Just burned his ISO 655321's Avatar
    Join Date
    May 2011
    Posts
    4

    Default Re: Metasploit broken after R2 to R3 upgrade

    have you tried reinstalling metasploit with apt?

    apt-get install metasploit
    that may re-build the application and set the shortcuts again, just a tought.

    hope it helps

  3. #3
    Just burned his ISO
    Join Date
    Aug 2012
    Posts
    3

    Default Re: Metasploit broken after R2 to R3 upgrade

    Hi 655321,

    Yeah I've tried using apt-get. Any other ideas?

  4. #4
    Just burned his ISO
    Join Date
    Apr 2012
    Posts
    6

    Default Re: Metasploit broken after R2 to R3 upgrade

    I too have ran into this problem. At this point I'm trying to figure out a solution, but if I don't find one by the end of the day I will uninstall/reinstall.

  5. #5
    Just burned his ISO
    Join Date
    Aug 2012
    Posts
    3

    Default Re: Metasploit broken after R2 to R3 upgrade

    Quote Originally Posted by na1kk View Post
    I too have ran into this problem. At this point I'm trying to figure out a solution, but if I don't find one by the end of the day I will uninstall/reinstall.
    I fixed it in the end by completely uninstalling all visible frameworks and Metasploit using Synaptic (mark for complete removal). Then I reinstalled using apt-get.

    Hope this helps

Similar Threads

  1. No sound and cannot dist-upgrade or upgrade Alsa
    By stueng in forum BackTrack 5 Beginners Section
    Replies: 0
    Last Post: 03-01-2012, 10:53 AM
  2. Does 'apt-get dist-upgrade' upgrade pre-R1 to R1?
    By nathaliev in forum BackTrack 5 Beginners Section
    Replies: 1
    Last Post: 09-25-2011, 05:52 PM
  3. Replies: 1
    Last Post: 04-18-2010, 06:37 PM
  4. dist-upgrade and scapy broken
    By bofh28 in forum OLD BackTrack 4 Software Related Issues
    Replies: 4
    Last Post: 01-11-2010, 11:11 PM
  5. Replies: 0
    Last Post: 11-17-2009, 09:08 PM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •